- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DInput
- QAction
- Qt 6.4.2 Reference Documentation

# QAction Class

class Qt3DInput::QAction

Links a set of QAbstractActionInput that trigger the same event. More...

Header: | #include <QAction>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dinput) target_link_libraries(mytarget PRIVATE Qt6::3dinput)
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | Action
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- active : const bool

## Public Functions

| QAction(Qt3DCore::QNode *parent = nullptr)
void | addInput(Qt3DInput::QAbstractActionInput *input)
QList<Qt3DInput::QAbstractActionInput *> | inputs() const
bool | isActive() const
void | removeInput(Qt3DInput::QAbstractActionInput *input)

## Signals

void | activeChanged(bool isActive)

## Detailed Description

## Property Documentation

### `[read-only]` active : const bool

Holds `true` if the action is active.

Note this property is not updated when the action is disabled.

Access functions:

bool | isActive() const

Notifier signal:

void | activeChanged(bool isActive)

## Member Function Documentation

### QAction::QAction(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAction instance with parent parent.

### void QAction::addInput(Qt3DInput::QAbstractActionInput *input)

Append QAbstractActionInput input to the list of inputs that can trigger this action.

### QList<Qt3DInput::QAbstractActionInput *> QAction::inputs() const

Returns the list of inputs that can trigger this action.

### void QAction::removeInput(Qt3DInput::QAbstractActionInput *input)

Remove QAbstractActionInput input to the list of inputs that can trigger this action.